test: _CONSOLE_READCONSOLE_MSG struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _CONSOLE_READCONSOLE_MSG Struct Reference

`#include <conmsg.h>`

List of all members.

## Public Attributes

IN HANDLE | ConsoleHandle
IN HANDLE | InputHandle
IN USHORT | ExeNameLength
IN OUT WCHAR | Buffer [BUFFER_SIZE/2]
OUT PVOID | BufPtr
IN OUT ULONG | NumBytes
IN ULONG | CaptureBufferSize
IN ULONG | InitialNumBytes
IN ULONG | CtrlWakeupMask
OUT ULONG | ControlKeyState
IN BOOLEAN | Unicode

## Member Data Documentation

IN OUT WCHAR _CONSOLE_READCONSOLE_MSG::Buffer[BUFFER_SIZE/2]

| Definition at line 440 of file conmsg.h. Referenced by CookedReadWaitRoutine(), RawReadWaitRoutine(), ReadConsoleInternal(), and SrvReadConsole().

OUT PVOID _CONSOLE_READCONSOLE_MSG::BufPtr

| Definition at line 441 of file conmsg.h. Referenced by ReadConsoleInternal(), and SrvReadConsole().

IN ULONG _CONSOLE_READCONSOLE_MSG::CaptureBufferSize

| Definition at line 443 of file conmsg.h. Referenced by CookedReadWaitRoutine(), RawReadWaitRoutine(), ReadConsoleInternal(), and SrvReadConsole().

IN HANDLE _CONSOLE_READCONSOLE_MSG::ConsoleHandle

| Definition at line 437 of file conmsg.h. Referenced by ReadConsoleInternal(), and SrvReadConsole().

OUT ULONG _CONSOLE_READCONSOLE_MSG::ControlKeyState

| Definition at line 446 of file conmsg.h. Referenced by CookedRead(), and ReadConsoleInternal().

IN ULONG _CONSOLE_READCONSOLE_MSG::CtrlWakeupMask

| Definition at line 445 of file conmsg.h. Referenced by ReadConsoleInternal(), and SrvReadConsole().

IN USHORT _CONSOLE_READCONSOLE_MSG::ExeNameLength

| Definition at line 439 of file conmsg.h. Referenced by ReadConsoleInternal(), and SrvReadConsole().

IN ULONG _CONSOLE_READCONSOLE_MSG::InitialNumBytes

| Definition at line 444 of file conmsg.h. Referenced by ReadConsoleInternal(), and SrvReadConsole().

IN HANDLE _CONSOLE_READCONSOLE_MSG::InputHandle

| Definition at line 438 of file conmsg.h. Referenced by ReadConsoleInternal(), and SrvReadConsole().

IN OUT ULONG _CONSOLE_READCONSOLE_MSG::NumBytes

| Definition at line 442 of file conmsg.h. Referenced by CookedRead(), ProcessCommandListInput(), RawReadWaitRoutine(), ReadConsoleInternal(), and SrvReadConsole().

IN BOOLEAN _CONSOLE_READCONSOLE_MSG::Unicode

| Definition at line 447 of file conmsg.h. Referenced by CookedRead(), ProcessCommandListInput(), RawReadWaitRoutine(), ReadConsoleInternal(), and SrvReadConsole().

The documentation for this struct was generated from the following file:

- conmsg.h